<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Projects</title>
    <link rel="stylesheet" href="css/normalize.css"> <!-- The normalize library will help the website to look the desired way regardless of the user's web browser -->
    <link rel="stylesheet" href="css/normalize.css"> <!-- The normalize library will help the website to look the desired way regardless of the user's web browser -->
    <link rel="preload" href="css/style.css" as="style" /> <!-- Use this line to load stylesheet faster => Increase web page performance -->
    <link href="css/style.css" rel="stylesheet"/> <!-- rel = relation with current document-->
    <link rel="preload" href="css/admin_language.css" as="style" />
    <link href="css/admin_language.css" rel="stylesheet"/>
    <link rel="preload" href="css/buttons.css" as="style" />
    <link rel="preload" href="css/containersAndNav.css" as="style" />
    <link href="css/containersAndNav.css" rel="stylesheet"/>
    <link href="css/buttons.css" rel="stylesheet"/> 
    <link rel="preload" href="css/forms.css" as="style" />
    <link href="css/forms.css" rel="stylesheet"/>  
    <link rel="preload" href="css/icons.css" as="style" />
    <link href="css/icons.css" rel="stylesheet"/>
    <link rel="preload" href="css/services.css" as="style" />
    <link href="css/services.css" rel="stylesheet"/> 
    <link rel="preload" href="css/typography.css" as="style" />
    <link href="css/typography.css" rel="stylesheet"/> 
    <link rel="preload" href="css/utilities.css" as="style" />
    <link href="css/utilities.css" rel="stylesheet"/>
    <link rel="preload" href="css/projects.css" as="style" />
    <link href="css/projects.css" rel="stylesheet"/>
    <link rel="preload" href="css/images.css" as="style" />
    <link href="css/images.css" rel="stylesheet"/>
    <!-- Add external fonts from google fonts-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200&display=swap" rel="stylesheet">
    <!-- Other -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;400;500&display=swap" rel="stylesheet">
    <!-- Including too many external fonts will increase the web page's loading time -->
</head>
<body>
    <header class="hero">                                <!-- You may only use one header area and one main content area. Using multiple sections is fine-->
        <div class="hero-content">
            <h1 class="myTitle">My Projects</h1>
        </div> <!-- hero-content -->
        <div class="myTopMenu top_right_corner">                                 
            <div class="w-small-100 myUser no_margin">
                <div class="languageIcon"></div>
                <select class="languageSelect" id="changeLanguage">
                    <option class="button-text" value="English">English</option>
                    <option class="button-text" value="Spanish">Español</option>
                </select>
            </div>
            <a class="w-small-100 myUser no_margin" id="authenticate" type="submit"><div class="userIcon"></div><span class="button-text" id="login_text"></span></a>
        </div>
        <div class="nav-bg">
            <nav class="myContainer Principal_Nav">                                   <!--Navigation area-->
                <a href="index.html">Home</a> <!--anchor elements require the href="link" atribute-->
                <a href="aboutMe.html">About Me</a>            <!-- href="#" means I don´t have the link yet-->
                <a href="reviews.html">My Reviews</a>
                <a href="contactMe.html">Contact Me</a>
            </nav>
        </div>
    </header>
    <!-- <main class="myContainer shadow"> -->
    <main class="main_project_container" id="project_container">
        <div class="fixed_nav_area" id="fixed_navigation_area">
            <div class="fixed_nav_icons">
                <a class="embedded_systems_icon" href="#embedded_systems_link"></a>
            </div>
            <div class="fixed_nav_icons">
                <a class="computer_science_icon" href="#computer_science_link"></a>
            </div>
            <div class="fixed_nav_icons">
                <a class="operative_systems_icon" href="#operative_systems_link"></a>
            </div>
            <div class="fixed_nav_icons">
                <a class="web_dev_icon" href="#web_dev_link"></a>
            </div>
            <div class="fixed_nav_icons">
                <a class="mobile_dev_icon" href="#mobile_dev_link"></a>
            </div>
        </div>
        <div class="cat_container">
            <section class="category" id="embedded_systems_link">
                <div class="cat_title embedded_systems">
                    <h3>Embedded Systems</h3>
                </div>
                <div class="article_container">
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <!-- <a href="#" target="_blank"> -->
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/circuit.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/circuit.png" alt="Project 1">
                                    </picture>
                                <!-- </a> -->
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">ASM Project - Voltmeter, Clock, and Safety Mechanism</h4>
                                <p class="myParagraph">This project demonstrates the integration of digital electronics principles using the PIC 16F887
                                    microcontroller. It features a versatile system incorporating a voltmeter, clock, and safety mechanism. The circuit
                                    showcases real-time voltage and current display, clock management via a matrix keypad, and a safety measure against short
                                    circuits. Additionally, it utilizes serial communication to view the ADC's results on a PC.</p>
                                <a class="button" href="https://gitlab.com/english6060242/embedded-systems/pic/asm/01-voltimeter_and_clock" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/diagram.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/diagram.png" alt="Project 1">
                                    </picture>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">ARM Project (LPC1769) - Automated Tank Control System</h4>
                                <p class="myParagraph">The Automated Tank Control System is a sophisticated solution designed to effectively manage liquid
                                    levels within a tank. Utilizing an LPC microcontroller and various peripherals, it offers diverse control modes, including
                                    manual and PC-based control, alongside error monitoring and user interaction through UART. This system ensures precise liquid
                                    level management while providing a user-friendly interface for configuration and monitoring.</p>
                                <a class="button" href="https://gitlab.com/english6060242/embedded-systems/arm/01-automated_tank_control_system" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/PWM_Speed_Control_Project.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/PWM_Speed_Control_Project.jpg" alt="Project 1">
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">PWM Engine Speed Control Project</h4>
                                <p class="myParagraph">This project utilizes Pulse Width Modulation (PWM) to control the speed of a 12V DC motor using a PIC 
                                    microcontroller. Featuring straightforward controls such as a command potentiometer and dedicated buttons for various functions, 
                                    the system enables precise motor speed adjustment. Additionally, it incorporates a visual indicator with a 12 LED digital VU meter. 
                                    Lastly, a KiCad PCB design is included, as required for the project.</p>
                                <a class="button" href="https://gitlab.com/english6060242/embedded-systems/pic/c-projects/pwm_engine_speed_control" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                </div>
            </section>
            <section class="category" id="computer_science_link">
                <div class="cat_title computer_science">
                    <h3>Computer Science</h3>
                </div>
                <div class="article_container">
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/concurrente_tp3.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/concurrente_tp3.jpg" alt="Project 1">
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Concurrent Programming - Dual-Core Processor Simulator with Petri Net</h4>
                                <p class="myParagraph">Implementation of a dual-core processor simulator using an extended Petri net, featuring conflict resolution policies and invariant analysis. The project was developed in Java and validated through exhaustive testing, ensuring its proper functioning under various load and configuration conditions.</p>
                                <a class="button" href="https://gitlab.com/english6060242/software-development-and-computer-science/lp-concurrent-prog-sim-dual-core" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/MIPS.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/MIPS.jpg" alt="Project 1">
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Pipelined MIPS</h4>
                                <p class="myParagraph">This project involves designing a pipelined MIPS processor using Verilog, along with creating an assembler program for its supported instructions. Testing was crucial to ensure the processor met timing requirements and effectively handled hazards.</p> 
                                <p class="myParagraph">Additionally, a state machine was developed to streamline the process of loading programs into the MIPS program memory. Overall, this project required careful hardware design and software development to achieve a functional and efficient MIPS processor.</p>
                                <a class="button" href="https://gitlab.com/english6060242/software-development-and-computer-science/lp-mips" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                </div>
            </section>
            <section class="category" id="operative_systems_link">
                <div class="cat_title operative_systems">
                    <h3>Operative Systems</h3>
                </div>
                <div class="article_container">
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <!-- <a href="#" target="_blank"> -->
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/soii_lab1_block_diagram.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/soii_lab1_block_diagram.jpg" alt="Project 1">
                                    </picture>
                                <!-- </a> -->
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Client - Server Model Using IPC (Sockets)</h4>
                                <p class="myParagraph">This project implements a multi-protocol client-server architecture using various 
                                    IPC mechanisms such as sockets. Developed in C, it leverages at least 3 protocols from the sys/socket.h 
                                    family, facilitating the handling of multiple clients across INET (IPV4), UNIX, and INET6 (IPV6) protocols. 
                                    The server efficiently logs and persists data counts per protocol and overall received data into persistent 
                                    files, employing a thread-based architecture for optimized connection handling and data accumulation.</p>
                                <a class="button" href="https://gitlab.com/english6060242/operating-systems/coursework/lp-lab1-ipc.git" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <!-- <a href="#" target="_blank"> --> <!-- This img is not a link -->
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/soii_lab2_connectionPool.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/soii_lab2_connectionPool.png" alt="Project 1">
                                    </picture>
                                <!-- </a> -->
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Connections Pool - Database, Server and Clients</h4>
                                <p class="myParagraph">This project implements a three-tier client-server architecture using C language and 
                                    IPC mechanisms. It comprises a server, multiple client types, and an SQLite database for interprocess communication.
                                    Clients interact with the server to execute custom queries, while the server manages connections and relays messages
                                    to the database.</p>
                                <p class="myParagraph">The work involves robust client-server communication, efficient database handling, and multithreading
                                    to ensure seamless interactions among components.</p>
                                <a class="button" href="https://gitlab.com/english6060242/operating-systems/coursework/lp-lab2-ipc" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/linux_device_drivers.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/linux_device_drivers.jpg" alt="Project 1">
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Linux Kernel Modules (Character Device Driver)</h4>
                                <p class="myParagraph">This project involves developing two kernel modules to simulate character device operations within the Linux kernel. One module encrypts input characters, while the other decrypts them. These modules showcase the implementation of kernel modules, specifically character device drivers, enabling seamless interaction between user applications and the kernel.</p>
                                <a class="button" href="https://gitlab.com/english6060242/operating-systems/coursework/lp-linux-device-drivers" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                </div>
            </section>
            <section class="category" id="web_dev_link">
                <div class="cat_title web_dev" id="web_development_section">
                    <h3>Web Development</h3>
                </div>
                <div class="article_container">
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="https://lp-musicfestival.netlify.app/" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/musicFestival.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/musicFestival.png" alt="Project 1">    
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Music Festival</h4>
                                <p class="myParagraph">This project comprises a Music Festival website featuring lineup details, a gallery, ticket information, and more. 
                                    Unlike earlier projects, this one encompasses both development and production environments. This implies careful specification (package.json) 
                                    and management of dependencies through tools like npm.</p>
                                <p class="myParagraph">It uses SCSS for streamlined styling, incorporating mixins and variables to simplify style-related coding tasks. 
                                    Furthermore, it makes use of Gulp as the automation tool for various repetitive tasks such as compiling SCSS and JavaScript, image conversion
                                     to lighter formats suitable for web use, etc. Lastly, this project includes optimization of CSS and JavaScript code, and generation of 
                                     source maps to maintain the legibility of the optimized code in the browser.</p>
                                <a class="button" href="https://gitlab.com/english6060242/web-development/04-lp-musicfestival" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="https://lp-myonlinestore.netlify.app/" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/onlineStore.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/onlineStore.png" alt="Project 1">    
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Online Store</h4>
                                <p class="myParagraph">The "Online Store" project is an essential part of my web development learning journey. While primarily HTML and CSS-based, it also incorporates a touch of JavaScript for dynamic product image and detail displays.</p>
                                <p class="myParagraph">The project focuses on the strategic use of CSS's display grid, enabling precise content placement. This includes advanced techniques such as spanning elements across grid columns, resulting in an aesthetically pleasing and user-friendly design.</p>
                                <a class="button" href="https://gitlab.com/english6060242/web-development/02-lp-onlinestore" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="https://lp-coffeeblog.netlify.app/" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/CoffeeBlog.webp" type="image/webp">
                                        <img class="project_img" src="img/CoffeeBlog.png" alt="Project 1">
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Coffee Blog</h4>
                                <p class="myParagraph">The "Coffee Blog" project aims to improve my HTML and CSS abilities by creating visually appealing and well-structured web content. It offers a simplified yet engaging platform to explore various coffee-related topics, complete with images and detailed articles.</p>
                                <p class="myParagraph">Furthermore, modernizr.js is employed to optimize the display of images, especially for browsers that support the lighter WebP format.</p>
                                <a class="button" href="https://gitlab.com/english6060242/web-development/03-lp-coffeeblog" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="https://lp-myportfolio.netlify.app/" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/myPortfolio.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/myPortfolio.png" alt="Project 1">
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">My Protfolio</h4>
                                <p class="myParagraph">This project features a blend of HTML, CSS, and JavaScript to present a detailed explanation for each of my skills, CV, a personal introduction, and a display of some of my projects.</p>
                                <p class="myParagraph">One standout feature is the user review system, where visitors can share their thoughts. A logged-in administrator has the privilege of approving or declining these reviews and can also delete existing approved reviews, effectively managing the content. This functionality is powered by a Firebase database.</p>
                                <a class="button" href="https://gitlab.com/english6060242/web-development/01-lp-myportfolio" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">                
                            <div class="image_container">
                                <picture >
                                    <source class="project_img" loading="lazy" srcset="img/web_dev_coursework.webp" type="image/webp">
                                    <img class="project_img" loading="lazy" src="img/web_dev_coursework.png" alt="Coursework">
                                </picture>
                            </div>  
                            <div class="project_description">
                                <h4 class="project_title">Coursework</h4>
                                <p class="myParagraph">This group of projects displays everything I've learned on the web development course I'm taking.</p>
                                <p class="myParagraph">Each project includes examples for different topics and an explanation for each of them via comments.</p>
                                <a class="button" href="https://gitlab.com/english6060242/web-development/coursework" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                </div>
            </section>
            <section class="category" id="mobile_dev_link">
                <div class="cat_title mobile_dev">
                    <h3>Mobile Development</h3>
                </div>
                <div class="article_container">
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/no_image.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/no_image.jpg" alt="Project 1">
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Project title</h4>
                                <p class="myParagraph">Description goes here.</p>
                                <a class="button" href="#" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/no_image.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/no_image.jpg" alt="Project 1">
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Project title</h4>
                                <p class="myParagraph">Description goes here.</p>
                                <p class="myParagraph">Description goes here.</p>
                                <a class="button" href="#" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/no_image.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/no_image.jpg" alt="Project 1">
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Project title</h4>
                                <p class="myParagraph">Description goes here.</p>
                                <p class="myParagraph">Description goes here.</p>
                                <a class="button" href="#" target="_blank">Go to repository</a>
                            </div>
                        </div>
                    </article>
                </div>
            </section>
        </div>
    </main><!-- myContainer shadow -->
    <footer class="footer">
        <p>All rights reseved</p>
    </footer><!-- .footer -->
    <script>
        document.addEventListener("DOMContentLoaded", function () {
        const languageSelect = document.getElementById("changeLanguage");

        languageSelect.addEventListener("change", function () {
            const selectedValue = languageSelect.value;

            if (selectedValue === "English") {
            window.location.href = "myProjects.html"; // Change to the English page
            } else if (selectedValue === "Spanish") {
            window.location.href = "myProjectsSpanish.html"; // Change to the Spanish page
            }
        });
        });
    </script>
    <script src="js/modernizr.js"></script>
    <script src="js/common.bundle.js"></script>
    <script src="js/myProjects.bundle.js"></script>
</body>
</html>